<?php
namespace Modules\Relatorios\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class gql02100MudancasQualificacaoFornecedorController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;
    protected $stExtensao;
    
    public  function __construct(ReportService $reportService, $qr2Strategy)
    {
        parent::__construct($reportService);
        $this->qr2Strategy = $qr2Strategy;
    }
    
    protected $reportMapping = array ();
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
        array (
            'strategy' => $row["STRATEGY"],
            'parameterMapping' => 
            array (
                "FORNECEDOR"    => "L_CDFORNECED",
                "DTINI"         => "P_DTINI",
                "DTFIM"         => "P_DTFIN",
                "TDATA"         => "P_TDATA",
                "OPERADOR"      => "L_CDOPERADOR",
            ),
        );
    }
}



