<?php
namespace Planejamento\Repositories;

class Restopca extends \Doctrine\ORM\EntityRepository
{
    public static function verificaRestricao($cdfilial, $cdfilauxprat, $cdservfili, $cdprato){
        $sql = <<<SQL
SELECT
   CDPRATO
FROM
   RESTOPCA
WHERE
   (CDFILIAL   = :P_CDFILIAL)      AND
   (CDSERVFILI = :P_CDSERVICO)     AND
   (INSTR(:P_CDPRATO,CDPRATO) = 1) AND
   (CDPRATO < :P_CDPRATO)          AND
   (CDFILAUXPRAT = 'P')

UNION ALL

SELECT
   CDPRATO
FROM
   RESTOPCA
WHERE
   (CDFILIAL   = :P_CDFILIAL)      AND
   (CDSERVFILI = :P_CDSERVICO)     AND
   (CDPRATO   = :P_CDPRATO)        AND
   (CDFILAUXPRAT = :P_CDFILAUXPRAT)
SQL;
        $params = array(
            'P_CDFILIAL' => $cdfilial,
            'P_CDFILAUXPRAT' =>$cdfilauxprat,
            'P_CDSERVICO' => $cdservfili,
            'P_CDPRATO' =>$cdprato
        );

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function verificaFrequenciaOpcao($cdfilial, $cdfilauxprat,
        $cdservfili, $cdprato) {
        $sql = <<<SQL
SELECT
  COUNT(*)  AS NRPRATO
FROM
(
SELECT CDPRATO
FROM
    FREQOPCA
WHERE
   (CDFILIAL   = :P_CDFILIAL)      AND
   (CDSERVFILI = :P_CDSERVICO)     AND
   (INSTR(:P_CDPRATO,CDPRATO) = 1) AND
   (CDPRATO < :P_CDPRATO)          AND
   (CDFILAUXPRAT = 'P')

UNION ALL

SELECT CDPRATO
FROM
    FREQOPCA
WHERE
   (CDFILIAL   = :P_CDFILIAL)      AND
   (CDSERVFILI = :P_CDSERVICO)     AND
   (CDPRATO   = :P_CDPRATO)        AND
   (CDFILAUXPRAT = :P_CDFILAUXPRAT)
)
SQL;
        $params = array(
            'P_CDFILIAL' => $cdfilial,
            'P_CDFILAUXPRAT' =>$cdfilauxprat,
            'P_CDSERVICO' => $cdservfili,
            'P_CDPRATO' =>$cdprato
        );

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }


    }


}